"""Add sketch attribute model

Revision ID: fc7bc5c66c63
Revises: c380f6dff0bd
Create Date: 2020-10-23 15:44:16.011715

"""

# revision identifiers, used by Alembic.
revision = 'fc7bc5c66c63'
down_revision = 'c380f6dff0bd'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('attribute',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('sketch_id', sa.Integer(), nullable=True),
    sa.Column('name', sa.UnicodeText(), nullable=True),
    sa.Column('ontology', sa.UnicodeText(), nullable=True),
    sa.ForeignKeyConstraint(['sketch_id'], ['sketch.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('attributevalue',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('user_id', sa.Integer(), nullable=True),
    sa.Column('attribute_id', sa.Integer(), nullable=True),
    sa.Column('value', sa.UnicodeText(), nullable=True),
    sa.ForeignKeyConstraint(['attribute_id'], ['attribute.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('attribute')
    op.drop_table('attributevalue')
    # ### end Alembic commands ###
